require "rails_helper"

RSpec.describe Origami::InJutiesController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/origami/in_juties").to route_to("origami/in_juties#index")
    end

    it "routes to #new" do
      expect(:get => "/origami/in_juties/new").to route_to("origami/in_juties#new")
    end

    it "routes to #show" do
      expect(:get => "/origami/in_juties/1").to route_to("origami/in_juties#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/origami/in_juties/1/edit").to route_to("origami/in_juties#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/origami/in_juties").to route_to("origami/in_juties#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/origami/in_juties/1").to route_to("origami/in_juties#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/origami/in_juties/1").to route_to("origami/in_juties#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/origami/in_juties/1").to route_to("origami/in_juties#destroy", :id => "1")
    end

  end
end
